PULL-PKG(1)

NAME
pull-pkg - download a package for Debian, Ubuntu, UCA, or a PPA

SYNOPSIS
pull-pkg [options] <package name> [release|version]

DESCRIPTION
pull-pkg downloads the specified version of <package name>, or the latest version from the specified release. To request a version from a particular pocket say release-pocket (with a magic -release for only the release pocket). If no pocket is specified, all pockets will be searched except -backports. If no version or release is specified, the latest version in the development release will be downloaded. There are convenience scripts that set pull type and distribution appropriately: these are pull-lp-source, pull-lp-debs, pull-lp-ddebs, and pull-lp-udebs, which all pull Ubuntu packages; pull-debian-source, pull-debian-debs, pull-debian-ddebs, and pull-debian-udebs, which all pull Debian packages; pull-uca-source, pull-uca-debs, pull-uca-ddebs, and pull-uca-udebs, which all pull Ubuntu Cloud Archive packages; and pull-ppa-source, pull-ppa-debs, pull-ppa-ddebs, and pull-ppa-udebs, which all pull from a specified Personal Package Archive on Launchpad. Each script pulls the file type in its name, i.e. source, debs, ddebs, or udebs.

OPTIONS
Listed below are the command line options for pull-pkg:

package name
    This is name of the package to downloaded. You can use either the source package name, or binary package name.

version
    This is the version of the package to downloaded.

release
    This is the release to downloaded from. For debian, you can use either the release name like jessie or sid, or you can use the special release names unstable, stable, or testing. For ubuntu, you can use either the release name like xenial or the release-pocket like xenial-proposed. For ubuntu cloud archive (uca) you can use either the uca release name like mitaka or the ubuntu and uca release names like trusty-mitaka. Defaults to the current development release.

-h, --help
    Display a help message and exit.

-v, --verbose
    Be verbose about what is being done.

-d, --download-only
    Do not extract the source package (applies only to source packages).

-m MIRROR, --mirror=MIRROR
    Use the specified mirror server. Should be in the form http://archive.ubuntu.com/ubuntu or http://deb.debian.org/debian. If not specified or if the package is not found on the specified mirror, this will fall back to the default mirror(s) and/or mirror(s) from environment variables, and then will fall back to Launchpad or Debian Snapshot. This can be specified multiple times to try multiple mirrors.

--no-conf
    Do not use mirrors from the default configuration, or from any environment variables.

-a ARCH, --arch=ARCH
    Get binary packages from the ARCH architecture. Defaults to the local architecture, if it can be deteected.

-p PULL, --pull=PULL
    What to pull: source, debs, ddebs, udebs, or list. The list action only lists all a package's source and binary files, but does not actually download any. Defaults to source.

-D DISTRO, --distro=DISTRO
    Pull from: debian, uca, ubuntu, or a ppa. lp can be used instead of ubuntu. Any string containing cloud can be used instead of uca. If pulling from a ppa, you must specify the PPA. Defaults to ubuntu.

--ppa=ppa:USER/NAME
    Applies only when distro is ppa. Can be provided either as a value to the --ppa option parameter, or as a plain option (like release or version). When specified as a plain option, the form must be ppa:USER/NAME; when specified as a value to the --ppa option parameter, the leading ppa: is optional.

ENVIRONMENT
All of the CONFIGURATION VARIABLES below are also supported as environment variables. Variables in the environment take precedence to those in configuration files.

CONFIGURATION VARIABLES
The following variables can be set in the environment or in ubuntu-dev-tools(5) configuration files. In each case, the script-specific variable takes precedence over the package-wide variable.

UBUNTUTOOLS_UBUNTU_MIRROR
    The default mirror.

PULL_PKG_UBUNTU_MIRROR
    The default mirror when using the pull-pkg script.

PULL_[LP|DEBIAN|PPA|UCA]_[SOURCE|DEBS|DDEBS|UDEBS]_MIRROR
    The default mirror when using the associated script.

SEE ALSO
dget(1), pull-lp-source(1), pull-lp-debs(1), pull-lp-ddebs(1), pull-lp-udebs(1), pull-debian-source(1), pull-debian-debs(1), pull-debian-ddebs(1), pull-debian-udebs(1), pull-ppa-source(1), pull-ppa-debs(1), pull-ppa-ddebs(1), pull-ppa-udebs(1), pull-uca-source(1), pull-uca-debs(1), pull-uca-ddebs(1), pull-uca-udebs(1), pull-debian-debdiff(1), ubuntu-dev-tools(5)

AUTHOR

pull-pkg was written by Dan Streetman <ddstreet@canonical.com>, based on the original pull-lp-source; it and this manual page were written by Iain Lane <iain@orangesquash.org.uk>. All are released under the GNU General Public License, version 3 or later.